package writer2latex.rdf;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Iterator;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

import writer2latex.api.ConverterResult;
import writer2latex.api.OutputFile;
import writer2latex.util.Misc;
import writer2latex.xhtml.XhtmlConfig;


public class RDFWriter implements OutputFile {
	
	
	private ConverterResult xhtmlResult;
	private String sFileName;
	private int nVersion;
	private XhtmlConfig config;
	

	public RDFWriter(ConverterResult xhtmlResult, String sFileName, int nVersion, XhtmlConfig config) {
		this.xhtmlResult = xhtmlResult;
		this.sFileName = Misc.removeExtension(sFileName);
		this.nVersion = nVersion;
		this.config = config;
	}
	
	@Override public String getFileName() {
		return sFileName+".rdf";
	}

	@Override public String getMIMEType() {
		return "application/epub+zip";
	}

	@Override public boolean isMasterDocument() {
		return true;
	}
	
	@Override public boolean containsMath() {
		// We don't really care about this
		return nVersion==3;
	}

	@Override public void write(OutputStream os) throws IOException {		
		ByteArrayOutputStream baos = new ByteArrayOutputStream();

		// Finally XHTML content
		Iterator<OutputFile> iter = xhtmlResult.iterator();
		while (iter.hasNext()) {
			OutputFile excerptFile = iter.next();
		}
		
	}
}
